summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGuy Rutenberg (guyru) <guyrutenberg@gmail.com>2007-05-20 18:18:55 +0000
committerGuy Rutenberg (guyru) <guyrutenberg@gmail.com>2007-05-20 18:18:55 +0000
commit982c2f456543294bfaedabaaadca2afa7c6d5903 (patch)
tree08fafc7f3bf90984a602e0ec2d64edcf1f359069 /dev-tex
parentMoved to Portage tree, fixes bug #107248. (diff)
downloadsunrise-982c2f456543294bfaedabaaadca2afa7c6d5903.tar.gz
sunrise-982c2f456543294bfaedabaaadca2afa7c6d5903.tar.bz2
sunrise-982c2f456543294bfaedabaaadca2afa7c6d5903.zip
dev-tex/tetex-fonts-hebrew: New Ebuild for bug #179251
svn path=/sunrise/; revision=3695
Diffstat (limited to 'dev-tex')
-rw-r--r--dev-tex/tetex-fonts-hebrew/ChangeLog8
-rw-r--r--dev-tex/tetex-fonts-hebrew/Manifest4
-rw-r--r--dev-tex/tetex-fonts-hebrew/metadata.xml5
-rw-r--r--dev-tex/tetex-fonts-hebrew/tetex-fonts-hebrew-0.2.ebuild43
4 files changed, 60 insertions, 0 deletions
diff --git a/dev-tex/tetex-fonts-hebrew/ChangeLog b/dev-tex/tetex-fonts-hebrew/ChangeLog
new file mode 100644
index 000000000..381a40a79
--- /dev/null
+++ b/dev-tex/tetex-fonts-hebrew/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for dev-tex/tetex-fonts-hebrew
+# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 20 May 2007; Guy Rutenberg (guyru) <guyrutenberg@gmail.com>
+ +tetex-fonts-hebrew-0.2.ebuild, +metadata.xml:
+ New Ebuild for bug #179251
+
diff --git a/dev-tex/tetex-fonts-hebrew/Manifest b/dev-tex/tetex-fonts-hebrew/Manifest
new file mode 100644
index 000000000..f1114eb37
--- /dev/null
+++ b/dev-tex/tetex-fonts-hebrew/Manifest
@@ -0,0 +1,4 @@
+DIST tetex-fonts-hebrew-0.2.tar.gz 15602 RMD160 b0dcf630ce240585c45ab63bc2a6036ba0010bec SHA1 ddf7b46c19709178fa80ea2c54117ae1d43a761a SHA256 8d829d6c9f3533adca7bb206d8a9515e26ad7b03a7a8a12203325735693dd9c4
+EBUILD tetex-fonts-hebrew-0.2.ebuild 923 RMD160 3eeb8518f2f17e56a4dbdaa065abe4ae399bb1d2 SHA1 ba6ddb5259041474ab8d17dfefd5b22f6a556c44 SHA256 d1a9f40b9cfc470063ef7b499f0ed9c99c929864b4d1e1820b20123cbdc5d5bd
+MISC ChangeLog 268 RMD160 66d83770b9794d04650e87f5ee12ec27ac3fceb7 SHA1 61a343f678cf16d582dd228ef85e38efc2fcc22c SHA256 e838ff63b50e6a26177ff34928347edb1c9905fc6e282d2ea531bcce06ec3a86
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/dev-tex/tetex-fonts-hebrew/metadata.xml b/dev-tex/tetex-fonts-hebrew/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/dev-tex/tetex-fonts-hebrew/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>
diff --git a/dev-tex/tetex-fonts-hebrew/tetex-fonts-hebrew-0.2.ebuild b/dev-tex/tetex-fonts-hebrew/tetex-fonts-hebrew-0.2.ebuild
new file mode 100644
index 000000000..fd918551d
--- /dev/null
+++ b/dev-tex/tetex-fonts-hebrew/tetex-fonts-hebrew-0.2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils
+
+DESCRIPTION="adds culmus fonts support for hebrew documents in LaTeX."
+HOMEPAGE="http://ivritex.sourceforge.net/"
+SRC_URI="mirror://sourceforge/ivritex/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND=">=app-text/tetex-3.0"
+DEPEND="${RDEPEND}
+ media-fonts/culmus"
+
+S=${WORKDIR}/${PN}
+
+src_compile() {
+ emake CULMUSDIR=/usr/share/fonts/culmus/ || die "Compile Failed!"
+}
+
+src_install() {
+ #I'm using pkginstall instead of regular install to avoid sandbox
+ #violations caused by running mktexlsr and updmap
+ emake CULMUSDIR=/usr/share/fonts/culmus/ \
+ TEXMFDIR="${D}/usr/share/texmf/" pkginstall \
+ || die "Install Failed!"
+
+ dodoc README
+}
+
+pkg_postinst() {
+ mktexlsr
+ updmap-sys --enable Map=culmus.map
+}
+
+pkg_postrm() {
+ mktexlsr
+ updmap-sys --disable culmus.map
+}